<?php

include("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   $qcc1 = "SELECT curdate() ";
           $ccc1 = mysql_query($qcc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());
           $rrc = mysql_fetch_row($ccc1);
  
           $date=$rrc[0];
	   

           $vef=0;
           $vdep=0;
		   $vtarj=0;
           $vns=0;
           $vas=0;
           $vreg=0;
           $vvou=0;
		   $ppag=0;
		   $preg=0;
		   $pvou=0;
		   $ctot=0;
		   $ptot=0;
		   $pasig=0;
           
  /*$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones FROM inversionista, transacciones, usuarios_ci  WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr='10' and usuarios_ci.idusuarios_ci='".$id_cd."' and fechat =curdate() ";*/
  echo"<center><br>";
  $q2 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones  left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE  (tipostr_idtipostr!='12') and fechat=curdate() and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<font size=\"+2\">Ventas anal&iacute;ticas del d&iacute;a $date</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>Pedido</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
		
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	   $a9 = $r1[9];
	    $a10 = $r1[10];
		 $a11 = $r1[11];
		  $a12 = $r1[12];
		   $a13 = $r1[13];
		    $a14 = $r1[14];
			 $a15 = $r1[15];
			 $a16 = $r1[16];
			 $a17 = $r1[17];
			 $a18 = $r1[18];
			 $a19 = $r1[19];
	   $vef+=$a9;
	   $vdep+=$a10;
	   $vtarj+=$a11;
	   $vreg+=$a12;
	   $vvou+=$a13;
	   $ppag+=$a14;
	   
	   $ctot+=$a4;
	   $ptot+=$a5;
	         $nombrecliente="$a1 $a2 $a3";
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==13){$tiponota='30% VIP';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	  if($a8==1){ $tiponota='CANCEL';  	  } 
	  if($a8==38){$tiponota='RESERVA';}
    if($a8==39){$tiponota='ABONO';} 
		if($a8==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	  
echo"<td>$id_cd"."-"."$a15</td><td>$nombrecliente</td><td>$a4</td><td>$a5</td><td>$tiponota</td><td>$a9</td><td>$a10</td>
<td>$a11</td><td>$a12</td><td>$a13</td><td>$a14</td></tr>
		  ";
	}echo"</table>";
                                             }
	
						
						
						
									   									   
	   $q22 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, nsalida FROM transacciones join depositos 
      on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver 
      left join asignaciones on asignaciones.idtransacciones=transacciones.idtransacciones WHERE  tipostr_idtipostr='12'and fechat=curdate() and usuarios_ci_idusuarios_ci='".$id_cd."' order by idtransacciones";
  $c22 = mysql_query($q22) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<center>Asignaciones<br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
            <th>Trans</th><th>RFC.</th><th>Nombre</th><th>$</th><th>Puntos</th><th>N.S.</th>
            </tr>";
  for($i=0;$r1 = mysql_fetch_row($c22);$i++)
   {
       $a0 = $r1[0];
       $a1 = $r1[1];
       $a2 = $r1[2];
       $a3 = $r1[3];
       $a4 = $r1[4];
      $a5 = $r1[5];
      $a6 = $r1[6];
      $a7 = $r1[7];
       $a8 = $r1[8]; 
              
       $pasig+=$a5;
      $ptot+=$a5;
echo"<tr><td>$a7</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a8</td></tr>";
    }
    echo"</table>";
   }
									   echo"<br>
	<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"><tr><th>Compras</th><th>Puntos</th><th>Efectivo</th><th>Depositos</th><th>Tarjeta</th><th>Regalias</th><th>Voucher</th><th>Por Pagar </th></tr>
	<tr><td>$ $ctot</td><td>$ptot</td><td>$ $vef</td><td>$ $vdep</td><td>$ $vtarj</td><td>$vreg</td><td>$vvou</td><td>$ $ppag</td></tr>
	
	
	
	</table>
	";
	
	 $q23 = "SELECT rfc, nombre, appat, apmat, cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, efectivo, deposito, tarjeta, regalias, voucher, porpagar, consec, usuarios_ci_idusuarios_ci, cdentrega, statusentrega, inversionista_id_inver, nombrec FROM transacciones join depositos on 
  transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones  left join otrasal on transacciones.idtransacciones=otrasal.idtransacciones
  WHERE  (tipostr_idtipostr!='12') and fechat=curdate() and usuarios_ci_idusuarios_ci!='".$id_cd."' and cdentrega='".$id_cd."' order by idtransacciones";
  $c23 = mysql_query($q23) or die ('Error en la consulta' . mysql_error());
  if(mysql_affected_rows())
   {
  echo"<font size=\"+2\"><br>Pedidos generados en otros Cedis entregados por mi</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>Pedido</th><th>Nombre</th><th>Compras</th><th>Puntos</th><th>Nota</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
		
			</tr>";
  for($i=0;$r1 = mysql_fetch_row($c23);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	   $a9 = $r1[9];
	    $a10 = $r1[10];
		 $a11 = $r1[11];
		  $a12 = $r1[12];
		   $a13 = $r1[13];
		    $a14 = $r1[14];
			 $a15 = $r1[15];
			 $a16 = $r1[16];
			 $a17 = $r1[17];
			 $a18 = $r1[18];
			 $a19 = $r1[19];
	   $vef+=$a9;
	   $vdep+=$a10;
	   $vtarj+=$a11;
	   $vreg+=$a12;
	   $vvou+=$a13;
	   $ppag+=$a14;
	   
	   $ctot+=$a4;
	   $ptot+=$a5;
	         $nombrecliente="$a1 $a2 $a3";
	  if($a8==10){$tiponota='VENTA';   	  }
	  if($a8==13){$tiponota='30% VIP';   	  }
	  if($a8==11){ $tiponota='SALIDA';  	  } 
	  if($a8==1){ $tiponota='CANCEL';  	  } 
	  if($a8==38){$tiponota='RESERVA';}
    if($a8==39){$tiponota='ABONO';} 
		if($a8==6){ $tiponota='OTRASAL';  $nombrecliente=$r1[20];  } 
	  
echo"<td>$a16"."-"."$a15</td><td>$nombrecliente</td><td>$a4</td><td>$a5</td><td>$tiponota</td><td>$a9</td><td>$a10</td>
<td>$a11</td><td>$a12</td><td>$a13</td><td>$a14</td></tr>
		  ";
	}echo"</table>";
                                             }
	

     ?>